import { NativeModules, NativeEventEmitter } from 'react-native';
const EmitterMessages = {
  SMS_RECEIVED: 'SMS_RECEIVED',
  SMS_ERROR: 'SMS_ERROR'
};
let cb = null;
const AndroidSmsVerificationApi = NativeModules.AndroidSmsVerificationApi;
const eventEmitter = new NativeEventEmitter(NativeModules.AndroidSmsVerificationApi);

const onMessageSuccess = message => {
  if (typeof cb === 'function') {
    cb(null, message);
  }
};

const onMessageError = error => {
  if (typeof cb === 'function') {
    cb(Error(error), null);
  }
};

const startListeners = () => {
  removeAllListeners();
  eventEmitter.addListener(EmitterMessages.SMS_RECEIVED, onMessageSuccess);
  eventEmitter.addListener(EmitterMessages.SMS_ERROR, onMessageError);
};

export const removeAllListeners = () => {
  eventEmitter.removeAllListeners(EmitterMessages.SMS_RECEIVED);
  eventEmitter.removeAllListeners(EmitterMessages.SMS_ERROR);
};
export const requestPhoneNumber = requestCode => {
  return AndroidSmsVerificationApi.requestPhoneNumber(requestCode || 420);
};
export const receiveVerificationSMS = callback => {
  cb = callback;
  startListeners();
};
export const startSmsRetriever = () => {
  return AndroidSmsVerificationApi.startSmsRetriever();
};
export const startSmsUserConsent = (senderPhoneNumber, userConsentRequestCode) => {
  return AndroidSmsVerificationApi.startSmsUserConsent(senderPhoneNumber || null, userConsentRequestCode || 69);
};
//# sourceMappingURL=index.js.map